OGRE: Ogre::ColourImageAffector Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ColourImageAffector Class Reference

`#include <OgreColourImageAffector.h>`

Inheritance diagram for Ogre::ColourImageAffector:
[legend]

## Classes
class | CmdImageAdjust
| Command object for red adjust (see ParamCommand). More...

## Public Member Functions
| ColourImageAffector (ParticleSystem *psys)
| Default constructor.
void | _affectParticles (ParticleSystem *pSystem, Real timeElapsed) override
| Method called to allow the affector to 'do it's stuff' on all active particles in the system.
void | _initParticle (Particle *pParticle) override
| Method called to allow the affector to initialize all newly created particles in the system.
String | getImageAdjust (void) const
void | setImageAdjust (String name)
Public Member Functions inherited from Ogre::ParticleAffector
| ParticleAffector (ParticleSystem *parent)
virtual | ~ParticleAffector ()
| Virtual destructor essential.
const String & | getType (void) const
| Returns the name of the type of affector.
Public Member Functions inherited from Ogre::StringInterface
| StringInterface ()
virtual | ~StringInterface ()
| Virtual destructor, see Effective C++.
void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object.
ParamDictionary * | getParamDictionary (void)
| Retrieves the parameter dictionary for this class.
const ParamDictionary * | getParamDictionary (void) const
String | getParameter (const String &name) const
| Generic parameter retrieval method.
const ParameterList & | getParameters (void) const
| Retrieves a list of parameters valid for this object.
bool | setParameter (const String &name, const String &value)
| Generic parameter setting method.
void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method.

## Static Public Attributes
static CmdImageAdjust | msImageCmd

## Additional Inherited Members
Static Public Member Functions inherited from Ogre::StringInterface
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.

## Constructor & Destructor Documentation

## ◆ ColourImageAffector()

Ogre::ColourImageAffector::ColourImageAffector | ( | ParticleSystem * | psys | ) |

Default constructor.

## Member Function Documentation

## ◆ _initParticle()

void Ogre::ColourImageAffector::_initParticle | ( | Particle * | pParticle | ) |
| overridevirtual

Method called to allow the affector to initialize all newly created particles in the system.

This is where the affector gets the chance to initialize it's effects to the particles of a system. The affector is expected to initialize some or all of the particles in the system passed to it, depending on the affector's approach.

Parameters

  pParticle | Pointer to a Particle to initialize.

Reimplemented from Ogre::ParticleAffector.

## ◆ _affectParticles()

void Ogre::ColourImageAffector::_affectParticles | ( | ParticleSystem * | pSystem,
|  | Real | timeElapsed )
| overridevirtual

Method called to allow the affector to 'do it's stuff' on all active particles in the system.

This is where the affector gets the chance to apply it's effects to the particles of a system. The affector is expected to apply it's effect to some or all of the particles in the system passed to it, depending on the affector's approach.

Parameters

  pSystem | Pointer to a ParticleSystem to affect.
  timeElapsed | The number of seconds which have elapsed since the last call.

Implements Ogre::ParticleAffector.

## ◆ setImageAdjust()

void Ogre::ColourImageAffector::setImageAdjust | ( | String | name | ) |

## ◆ getImageAdjust()

String Ogre::ColourImageAffector::getImageAdjust | ( | void |  | ) | const

## Member Data Documentation

## ◆ msImageCmd

CmdImageAdjust Ogre::ColourImageAffector::msImageCmd
| static

The documentation for this class was generated from the following file:

- OgreColourImageAffector.h